
=head1 NAME

Win32::GUI::AcceleratorTable - Create accelerator table resources

=head1 DESCRIPTION

The AcceleratorTable object can be associated to a window
with the -accel option; then, when an accelerator is used, a
corresponding <name>_Click event is fired.

=for comment $Id: per_package_method_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 METHODS

L<Common methods|Win32::GUI::Reference::Methods> apply to most windows, controls and resources.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 new

B<new(%ACCELERATORS)>

Creates an AcceleratorTable object.

B<%ACCELERATORS> is an associative array of key combinations and
accelerator names or sub reference, in pair:
Example:

    $A = new Win32::GUI::AcceleratorTable(
        "Ctrl-X"       => "Close",
        "Shift-N"      => "New",
        "Ctrl-Alt-Del" => "Reboot",
        "Shift-A"      => sub { print "Hello\n"; },
    );

Keyboard combinations currently support the following modifier :

    Shift
    Ctrl  (or Control)
    Alt

and the following keys:

    A..Z, 0..9
    Left, Right, Up, Down
    Home, End, PageUp, PageDown (or PgUp/PgDn)
    Space, Ins, Del, Esc, Backspace, Tab, Return
    F1..F12

See also the L<common options|Win32::GUI::Reference::Options>.




=for comment $Id: per_package_event_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 EVENTS

L<Common events|Win32::GUI::Reference::Events> apply to most windows and controls.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Click

B<Click()>

Sent when the users triggers an Accelerator object.





=for comment $Id: pod_postamble.tpl,v 1.2 2005/08/03 21:45:59 robertemay Exp $

=head1 VERSION

Documentation for Win32::GUI v1.04 created 29 Oct 2006

This document is autogenerated by the build process. Edits made here will be lost.
Edit F<docs/per_package.tpl> instead.

=head1 SUPPORT

Homepage: L<http://perl-win32-gui.sourceforge.net/>.

For further support join the users mailing list(C<perl-win32-gui-users@lists.sourceforge.net>) from the website
at L<http://lists.sourceforge.net/lists/listinfo/perl-win32-gui-users>.  There is a searchable list archive at L<http://sourceforge.net/mail/?group_id=16572>.

=head1 COPYRIGHT and LICENCE

Copyright (c) 1997..2006 Aldo Calpini. All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


